iscsi_session_password_get(3)

NAME
iscsi_session_password_get - Retrieve authentication password of specified session.

SYNOPSIS
const char * iscsi_session_password_get (struct iscsi_session *se);

ARGUMENTS

se  Pointer of 'struct iscsi_session'. If this pointer is NULL, your program will be terminated by assert.

DESCRIPTION
Retrieve the authentication password of specified iSCSI session. Currently open-iscsi only support CHAP authentication method. It's controlled this setting in iscsid.conf:

RETURN
const char *. Empty string if not using CHAP authentication or failed to read authentication information. No need to free this memory, the resources will get freed by iscsi_session_free or iscsi_sessions_free.